

<?php
  include_once '../header.php';
  include_once("../php/config.php");
$sql_tasa = mysql_query("select * from tasas where moneda='GOURDE'") or die (mysql_error());



$remesa_gourde = @mysql_result($sql_tasa,0,"remesa");
$tasa_compra = @mysql_result($sql_tasa,0,"compra");
$tasa_venta = @mysql_result($sql_tasa,0,"venta");

?>

<div class="container-fluid" style="background:white; padding:15px;">

<span style="font-weight:bolder; font-size:21px;" class="text-rojo"><i class="bi bi-phone-flip"></i>LISTA DE RECARGAS</span>
<div id="aviso">
</div>

	<div class="table-responsive" id="lista" style="height:800px; overflow-x:scroll;">

   </div>




</div>



<div class="modal" id="modalActualizar" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> VALIDAR RECARGA</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
	  
	  <div class="row"> 
          <div class="col-xs-3">
            <b>#</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="number" id="id" disabled>
       
          </div>
        </div>
		
        <div class="row">
          <div class="col-xs-3">
            <b>Numero tel.</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="number" id="numero" disabled>
       
          </div>
        </div>
		
		
			<div class="row">
          <div class="col-xs-3">
            <b>Fecha</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="fecha" disabled>
       
          </div>
        </div>
		
		  <div class="row">
          <div class="col-xs-3">
            <b>Compania</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="compania" disabled>
       
          </div>
        </div>
		
		<div class="row">
          <div class="col-xs-3">
            <b>Monto</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="monto" disabled>
       
          </div>
        </div>
		
			<div class="row">
          <div class="col-xs-3">
            <b>Moneda Origen</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="moneda" disabled>
       
          </div>
        </div>
		
		
			<div class="row">
          <div class="col-xs-3">
            <b>Vendedor</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="vendedor" disabled>
       
          </div>
        </div>
		
			<div class="row">
          <div class="col-xs-3">
            <b>Comision RD$</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="comision" disabled>
       
          </div>
        </div>
		
		<div class="row">
          <div class="col-xs-3">
            <b>Comision GOURDE</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="comision2" disabled>
       
          </div>
        </div>
		
		
			<div class="row">
          <div class="col-xs-3">
            <b>Estado</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="estado" disabled>
       
          </div>
        </div>
		
			<div class="row">
          <div class="col-xs-3">
            <b>Tasa GOURDE</b>
          </div>
	       <div class="col-xs-9">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder"  type="text" id="tasa" disabled>
       
          </div>
        </div>

      </div>
      <div class="modal-footer">
        <a class="btn btn-verde mt-2" data-dismiss="modal" onclick="validar()" id="btngrabar"> <i class="bi bi-check-circle"></i> Confirmar</a>
		<a class="btn btn-orange mt-2" data-dismiss="modal" onclick="declinar()" id="btngrabar"> <i class="bi bi-check-circle"></i> Declinar</a>
	
		<a class="btn btn-default mt-2" data-dismiss="modal"> <i class="bi bi-chevron-double-left"></i> Salir</a>
      </div>
    </div>
  </div>
</div>


<script>

$(function(){
	setInterval(function(){
	_mostrar();
	},4000)
})


 function _mostrar(){
	
            var sql="select count(id) as tt from recargas where estado='' order by id asc limit 5";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
				$("#aviso").hide();
				      
						var rs = JSON.parse(data);
						
						for( var i in rs.data){
								 ///$("#aviso").show();  
								$("#aviso").html("<span class='btn btn-rojo'><b style='font-size:25px;'><span id='lbC'>"+rs.data[i].tt+"</span>  Recargas pendiente de validar-Precione F5 para revisar</b></span>")
						     if($("#lbC").html()=="0"){
								$("#aviso").hide();  
									}	
					
					  }
                $("#loading").modal('hide');
            })
		
 }
 
mostrar()
function mostrar(){
	$("#lista").append("Recopilando datos para mostrar...");
	 $.get("_lista_recargas_hoy.php", function(data, st){
		 if(st=="success"){
			 $("#lista").html(data);
		 }
	 })
}




function validar(){
	 
	
  var estado = $("#estado").val()
   var id = $("#id").val();
    if(estado=="Realizada"){alert('Esta recarga ya esta Validada'); return}
	
	
	
     if(id==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea validar este registro?")){return;}
	 
	 var tasa_compra	= "<?php echo $tasa_compra?>";
	var tasa_venta	= $("#tasa").val();
	var dif_tasa = tasa_compra - tasa_venta;
	
	
	
	
    var cliente = $("#vendedor").val();
	var monto = $("#monto").val();
	var compania = $("#compania").val()
	var comision = $("#comision").val()
	var comision2 = $("#comision2").val()
	var moneda = $("#moneda").val()
	
	
    if(comision==""){
		comision = 0;
	}else{
		
	 
	}
	
	if(comision>0){
		comision = comision / 2
	}
	
	
	var ganancia = monto * dif_tasa;
    var ganancia_cliente = monto * comision_cliente/100
	var beneficio = parseFloat(ganancia) + parseFloat(comision);
	
    var sql="";                            
   	var actualizacion = "Recarga Validada por el usuario "+myUser+" en fecha <?php echo $hoy." | ".@date('H:i:s')?> | ";
	
    sql="update recargas set comision_remesa='"+ comision +"', comision_remesa_gourde='"+ comision2 +"',  beneficio='"+ beneficio +"', estado='Realizada', actualizacion='"+actualizacion+"', nota='' where id='"+id+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalRecarga").modal('hide');
        
      
        id="";
        window.location.reload();

      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })


}



function declinar(){
	var estado = $("#estado").val()

    if(estado=="Realizada"){alert('Esta recarga ya esta Validada'); return}
	
   var id = $("#id").val();
     if(id==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea declinar este registro?")){return;}
    var sql="";                            
	var actualizacion = "Recarga anulada por el usuario "+myUser+" en fecha <?php echo $hoy." | ".@date('H:i:s')?> | ";
    sql="update recargas set estado='Anulada', actualizacion='"+actualizacion+"', nota='' where id='"+id+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalRecarga").modal('hide');
        noti("success","Registro actualizado con exito","Ok");
      
        id="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })


}



var tipo="";
function ver(id){
	
	$("#modalActualizar").modal('show');
    
      $("#frm").trigger('reset');
 
      $("#loading").modal('show');
            var sql="select * from recargas where id='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                     id= rs.data[i].id;             
                    $("#numero").val(rs.data[i].telefono);
					  $("#id").val(rs.data[i].id);
					$("#fecha").val(rs.data[i].fecha+" | "+rs.data[i].hora);
                    $("#monto").val(rs.data[i].monto);
                    $("#vendedor").val(rs.data[i].usuario);
					$("#compania").val(rs.data[i].compania);
					$("#estado").val(rs.data[i].estado);
					$("#comision").val(rs.data[i].comision_remesa);
					$("#comision2").val(rs.data[i].comision_remesa_gourde);
					$("#moneda").val(rs.data[i].moneda);
					get_cliente($("#vendedor").val())
					 tipo = rs.data[i].tipo
					if(tipo=="recarga"){
					get_tasa(rs.data[i].compania)
					}else{
						$("#tasa").val("<?php echo $tasa_venta?>");
					}
					$("#nota").val(rs.data[i].nota);
                 
                  
                  
                }
                $("#loading").modal('hide');
            })
        }
  
 
 
 function get_tasa(n){
	
            var sql="select * from productos where descripcion='"+n+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                           
						$("#tasa").val(rs.data[i].tasa_venta);

                }
                $("#loading").modal('hide');
            })
 }
 
 
 var comision_cliente=0;
  function get_cliente(n){
	
            var sql="select * from clientes where nombre='"+n+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                           
						comision_cliente = rs.data[i].comision;

                }
                $("#loading").modal('hide');
            })
 }
 
 
 
function lessinventario(){
	
	  
	
	  var producto = $("#compania").val();
	 //// alert(producto)
	  var monto = $("#monto").val()
	  var numero = $("#numero").val()
	 var cliente = $("#vendedor").val()
	  var tasa = $("#tasa").val()
	   if(tasa==""){
		 tasa = 0;
	 }
      if(monto==""){monto = 0;}
	   
     var tt = monto * tasa;
 
  
  
    var sql="";
    sql="update productos set stock=stock - '"+ tt +"', costo=costo - '"+ tt +"' where descripcion='"+ producto +"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        window.location.reload();
           /////balanceAcliente2();
  
	
      }else{
          alert(data);

      }
        $("#loading").modal('hide');
    })
	
}


function balanceAcliente2(){
				
   	var tasa_compra	= "<?php echo $tasa_compra?>";
	var tasa_venta	= $("#tasa").val();
	var dif_tasa = tasa_compra - tasa_venta;
	
	
	
	
    var cliente = $("#vendedor").val();
	var monto = $("#monto").val();
	var compania = $("#compania").val()
	var comision = $("#comision").val()
	var comision0 = $("#comision").val()
	var id = $("#id").val()
	
	var ganancia_cliente=0;
	
    if(comision<=0 || comision==""){
		 
		 ganancia_cliente = monto * comision_cliente/100
	}else{
		ganancia_cliente = $("#comision").val() / 2;
	}
	var montoGourde = $("#recibir").val() 
	
	var ganancia = monto * dif_tasa;
   
	var beneficio = parseFloat(ganancia) + parseFloat(comision);
	
	 
	
	
	
	var param = "cliente="+cliente;
	    param+="&monto="+monto;
		param+="&compania="+compania;
		param+="&comision="+comision0;
		param+="&montoGourde="+montoGourde;
		param+="&id="+id;
		param+="&ganancia_cliente="+ganancia_cliente;
		
		param+="&tipo="+tipo;
		
		
	 $.get("balanceAcliente.php?"+param, function(data, st){
		 if(st=="success"){
			window.location.reload();
			if(data=="1"){
				alert("el balance del cliente se ha actualizado")
			}else{
				alert(data);
			}
		 }
	 })
}

</script>